<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acesso_denegado.php');
		}

		
		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$cod= $row["codusu"];



       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $tipmoneda =  $row_para["tipmoneda"];    // se agrega en la version 4.4 
	   $cantippre =  $row_para["cantippre"];    // se agrega en la version 4.4
	   

$hoy=date("Y-m-d");

  $numfac=$_GET["numfac"];
  $cdgpro=$_GET["cdgpro"];

  	$baseimp=0;
	$baseiva=0;
	$basedes=0;
 
$consulta2 = "SELECT * FROM facturas_compras WHERE numfac='$numfac' AND cdgpro='$cdgpro'";
$resultado2 = $mysqli->query($consulta2);
$row2 = $resultado2->fetch_array();
 $codfactura   = $row2["codfactura"];
 $codlineatmp  = $row2["codlineatmp"];
 

$consulta = "SELECT * FROM web_2201 WHERE numfac='$numfac' AND cdgpro='$cdgpro' ";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();

$cdgusu   = $row["cdgusu"];
$cdgpro   = $row["cdgpro"];
$dscpro   = $row["dscpro"];
$fecfac   = $row["fecfac"];
$fecfac   = implode("-", array_reverse(explode("-", $fecfac))); 
$fecpro   = $row["fecpro"];
$fecpro   = implode("-", array_reverse(explode("-", $fecpro))); 
$numfac   = $row["numfac"];
$fecven   = $row["fecven"];
$pladia   = $row["pladia"];
$subexe   = $row["subexe"];
$subgra   = $row["subgra"];
$desfactot= $row["desfactot"];
$impfac   = $row["impfac"];
$flefac   = $row["flefac"];
$otrfac   = $row["otrfac"];
$totfac   = $row["totfac"];
$cdgtipven= $row["cdgtipven"];
$cdgtipcxp= $row["cdgtipcxp"];
$estado   = $row["estado"];
$marcaborrado = $row["borrado"];
$marcaestado  = $row["estado"];

  if ($marcaborrado == 1) { $borrado="Factura Anulada"; } else { $borrado=""; } 

/////////////////////////****************


		$query_usuario = "SELECT * FROM usuarios WHERE codusu='$cdgusu'";
		$result = $mysqli->query($query_usuario);
		$row = $result->fetch_array();
		$usuario= $row["usu"];

	
	$consulta ="SELECT * FROM factulinea_compra WHERE codfactura='$codfactura' ORDER BY numlinea ASC";
$contador=0;
if ($resultado = $mysqli->query($consulta)) 


    while ($fila2 = $resultado->fetch_assoc()) {

	
	            $numlinea = $fila2["numlinea"];
				$cdgbar  = $fila2["codigo"];
				$dscart  = $fila2["dscart"];
				$cdglin  = $fila2["cdglin"];
				$cdgfam  = $fila2["cdgfam"];
				$canart  = $fila2["canart"];
				$cosart  = $fila2["cosart"];
				$utiart1 = $fila2["utiart1"];
				$utiart2 = $fila2["utiart2"];  ///// aplica la misma utilidad 1 a utilidad 2  /////////
				$PRE001  = $fila2["PRE001"];
				$PRE002  = $fila2["PRE002"];
				$importe = $fila2["importe"];
				$desfac  = $fila2["desfac"];
				$despro  = $fila2["despro"];  
				$impart  = $fila2["impart"];
				$fleart  = $fila2["fleart"];
				$implin  = $fila2["implin"];
				$deslin  = $fila2["deslin"];
				$flelin  = $fila2["flelin"];
				$importe  = $fila2["importe"];
				$chkbon  = $fila2["chkbon"];


				$cdgcabys  = $fila2["cdgcabys"];
				$cdgimp  = $fila2["cdgimp"];
				$cdgtar  = $fila2["cdgtar"];
				$tarimp  = $fila2["tarimp"];
				
				

	
	$baseimp=$importe+$baseimp;
	$baseiva=$implin+$baseiva;
	$basedes=$deslin+$basedes;


		$sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,cdgcabys,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin, borrado , chkbon, cdgimp ,cdgtar,tarimp) VALUES ('$codlineatmp','$numlinea','$cdgbar','$cdgcabys','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin','0' ,'$chkbon','$cdgimp' ,'$cdgtar' ,'$tarimp' )";
	$mysqli->query($sel_insert);
$contador++;
	}




?>

<html>
	<head>
		<title>Principal</title>
		
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
        
        
        
        
        <script type="text/javascript" src="../JsInputMask-master/input-mask.js" ></script>
        
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		
	
	  
  window.onkeydown = tecla;

  function tecla(event) {
	  
	  


  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==115){ ventanaArticulos(); } // f8 busqueda de articulos
 
  }  }

          /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}


	
	  
		
		var miPopup
		function abreVentana(){
			miPopup = window.open("ver_proveedores.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
			document.getElementById("fecfac").focus();
			document.getElementById("fecfac").select();
		}
		
		function ventanaArticulos(){
			var codigo=document.getElementById("cdgpro").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del proveedor");
			} else {
				miPopup = window.open("ver_articulos.php","miwin","width=1100,height=650,scrollbars=yes");
				actualizar_importe ();
			}
		}
	
	
		
					
		
		function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
		     if (document.getElementById("cdgpro").value==9999){
			    document.getElementById("dscpro").value="Estimado proveedor";
			    document.getElementById("cedpro").value="";
			document.getElementById("fecfac").focus();
			document.getElementById("fecfac").select();
				
			 } else {
			miPopup = window.open("comprobarproveedor.php?cdgpro="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();
			document.getElementById("fecfac").focus();
			document.getElementById("fecfac").select();
			
		}	
		}
			function validararticulo(){
				
			var cosart=document.getElementById("cosart").value;
			var fleart=document.getElementById("fleart").value;
			var desfac=document.getElementById("desfac").value;
			var despro=document.getElementById("despro").value;
			var utiart1=document.getElementById("utiart1").value;
			
		
			var canart=document.getElementById("canart").value;
			var codigo=document.getElementById("cdgbar").value;
			
			var dscart=document.getElementById("dscart").value;
			var codfactura=document.getElementById("codlineatmp").value;
			var numlinea=document.getElementById("numlinea").value;

			
			if (codigo != "" ){
		  miPopup = window.open("comprobararticulo.php?cdgbar="+codigo+"&canart="+canart+"&codfactura="+codfactura+"&numlinea="+numlinea+"&dscart="+dscart+"&cosart="+cosart+"&fleart="+fleart+"&despro="+despro+"&desfac="+desfac+"&utiart1="+utiart1,"frame_datos2","width=900,height=90,scrollbars=yes");
			}
			
			
			

		}	
		
		function validararticulo_xml(codfactura,numlinea,cdgbar,canart,dscart){

			//parent.validararticulo_xml(codfactura,numlinea,cdgbar,canart,dscart);
			
			//var dscart=document.getElementById("dscart").value;
			//var cdgbar=document.getElementById("cdgbar").value;
			//var codfactura=document.getElementById("codfactura2").value;
			//var numlinea=document.getElementById("numlinea").value;
			
						if (cdgbar != "" ){
		  miPopup = window.open("comprobararticulo_xml.php?cdgbar="+cdgbar+"&dscart="+dscart+"&codfactura="+codfactura+"&numlinea="+numlinea,"frame_datos2","width=900,height=90,scrollbars=yes");
			}
			
			}
		

		
		function nuevo_articulo(codigo,dscart,codfactura,numlinea){
		
		//var codigo=document.getElementById("cdgbar").value;
		//var dscart=document.getElementById("dscart").value;
		//var codfactura=document.getElementById("codfactura2").value;
		//var numlinea=document.getElementById("numlinea").value;
		//alert(dscart);
		miPopup = window.open("../inventario/nuevo_articulo_xml.php?cdgbar="+codigo+"&dscart="+dscart+"&codfactura="+codfactura+"&numlinea="+numlinea,"miwin","width=1300,height=850,scrollbars=yes");

	//document.getElementById("cdgbar").focus();
	//document.getElementById("cdgbar").select();

			}
		function modificar_articulo(cdgbar,codfactura,numlinea){
		
		miPopup = window.open("../inventario/modificar_articulo_xml.php?cdgbar="+cdgbar+"&codfactura="+codfactura+"&numlinea="+numlinea,"miwin","width=1500,height=850,scrollbars=yes");


			}				
		
		
		
		
		function cancelar() {
			location.href="index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("dscpro").value="";
			document.getElementById("cedpro").value="";
		}
		
		
		
		 function Actualizar() {
			 
			document.getElementById("formulario_lineas").submit(); 
		 }
		
function limpiararticulo() {
		
			document.getElementById("dscart").value="";
			document.getElementById("cosart").value="";
			document.getElementById("utiart1").value="";
			document.getElementById("utiart2").value="";			
			document.getElementById("desfac").value="";
			document.getElementById("despro").value="";
			document.getElementById("desfac").value="";
			document.getElementById("cob_iv").value="";
			document.getElementById("importe").value="";
			document.getElementById("PRE001").value="";
			document.getElementById("PRE002").value="";
			document.getElementById("importe").value="";
			document.getElementById("cdglin").value="";	
			document.getElementById("cdgfam").value="";	
			document.getElementById("fleart").value="";	
			document.getElementById("flete_producto").value="";
			document.getElementById("impuesto_producto").value="";
			document.getElementById("impuesto_factura").value="";
			document.getElementById("descuento_producto").value="";
			document.getElementById("descuento_factura").value="";
			
		}
		
		
	
	
function calcular_factura()
		{
		
			
				document.getElementById("totfac").value="";
				
					var impfac=document.getElementById("impfac").value;
					var subexe=document.getElementById("subexe").value;
					var subgra=document.getElementById("subgra").value;
					var desfactot=document.getElementById("desfactot").value;
					var flefac=document.getElementById("flefac").value;
					var otrfac=document.getElementById("otrfac").value;
	
				
				
  if (subexe==""){ subexe=0; document.getElementById("subexe").value=0.00;} else { subexe2= subexe.replace(",","");   subexe= subexe2.replace(",","");} ;
  if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra2= subgra.replace(",","");   subgra= subgra2.replace(",","");} ;
  if (impfac==""){ impfac=0; document.getElementById("impfac").value=0.00;} else { impfac2= impfac.replace(",","");   impfac= impfac2.replace(",","");} ;
  if (desfactot==""){desfactot=0; document.getElementById("desfactot").value=0.00;}  else { desfactot= desfactot.replace(",",""); } ;
  if (flefac==""){flefac=0; document.getElementById("flefac").value=0.00;}  else { flefac= flefac.replace(",",""); } ;
  if (otrfac==""){otrfac=0; document.getElementById("otrfac").value=0.00;}  else { otrfac= otrfac.replace(",",""); } ;

					
				
			totfac= (parseFloat(subgra)+parseFloat(subexe)-parseFloat(desfactot)+parseFloat(impfac)+parseFloat(flefac)+parseFloat(otrfac));
	
				var original=parseFloat(totfac);
				//var result=Math.round(original*100)/100 ;
				
				document.getElementById("totfac").value=original;
		
		
		}
		
	function actualizar_importe()
			{
			
			
				document.getElementById("PRE001").value="";
				document.getElementById("PRE002").value="";
				document.getElementById("importe").value="";
				document.getElementById("flete_producto").value="";
				document.getElementById("impuesto_producto").value="";
				document.getElementById("impuesto_factura").value="";
				document.getElementById("descuento_producto").value="";
				document.getElementById("descuento_factura").value="";
	
				var cosart=document.getElementById("cosart").value;
				var utiart1=document.getElementById("utiart1").value;
				var utiart2=document.getElementById("utiart2").value;
				var canart=document.getElementById("canart").value;
				var desfac=document.getElementById("desfac").value;
				var despro=document.getElementById("despro").value;   //// aplica el decuento total de la factura 
				var cob_iv=document.getElementById("cob_iv").value;
				var ivporc=document.getElementById("ivporc").value;
				var fleart=document.getElementById("fleart").value;
				var tarred=document.getElementById("tarred").value;
				
					if (document.getElementById("cob_iv").value==1){
				
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;
				utilidad1=(utiart1/100)+1;
				utilidad2=(utiart2/100)+1;
				
				costot = canart * cosart;
		
				
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
				if (tarred > 0  )  {     // si el producto tiene tarifa reducida
				
				tazaimpuesto_factura  = (tarred/100)+1;    // tarifa reducida
				tazaimpuesto_producto = (ivporc/100)+1;    // tarifa normal
				
				} else  {
				
				tazaimpuesto_factura  = (ivporc/100)+1;    // tarifa reducida
				tazaimpuesto_producto = (ivporc/100)+1;    // tarifa normal
				
				}
				
				
				impuesto_factura  =  (costo_con_descuento_factura * tazaimpuesto_factura) -  costo_con_descuento_factura ; // monto del impuesto
				impuesto_producto =  (costo_con_descuento_producto * tazaimpuesto_producto) - costo_con_descuento_producto ;  
				
			
				precio_costo_descuento_impuesto = cosart - descuento_producto + impuesto_producto ;  //  precio listo para calcular utilidad
				
				PRE001=precio_costo_descuento_impuesto * utilidad1 ;     // precio con utilidad 1
				PRE002=precio_costo_descuento_impuesto * utilidad2 ;		// precio con utilidad 2
								
				if (fleart=="") { fleart="0"} 
				
					PRE001= parseFloat(PRE001) + parseFloat(fleart) ;	
					PRE002= parseFloat(PRE002) + parseFloat(fleart) ;	

				flete_producto = fleart * canart ;
				impuesto_producto = impuesto_producto * canart ;
				impuesto_factura = impuesto_factura * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var tipmoneda=document.getElementById("tipmoneda").value;
				
				if ( tipmoneda == "CRC") {     // SE AGREGA EN LA VERSION 4.4
				
				var original=parseFloat(PRE001);
				var result=Math.round(original);				
				var original2=parseFloat(PRE002);
				var result2=Math.round(original2);
				
				} else 	{
				
				var original=parseFloat(PRE001);
				var result=original;				
				var original2=parseFloat(PRE002);
				var result2=original2;
				   
				 } // SE AGREGA EN LA VERSION 4.4
			
					var result3 =parseFloat(costot);
			
				document.getElementById("PRE001").value=result;
				document.getElementById("PRE002").value=result2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value=impuesto_producto;
				document.getElementById("impuesto_factura").value=impuesto_factura;
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
				
				} else {
					
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;
				utilidad1=(utiart1/100)+1;
				utilidad2=(utiart2/100)+1;
				
				costot = canart * cosart;
		
				
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
			
				precio_costo_descuento = cosart - descuento_producto ;  //  precio listo para calcular utilidad
				
				PRE001=precio_costo_descuento * utilidad1;     // precio con utilidad 1
				PRE002=precio_costo_descuento * utilidad2;		// precio con utilidad 2
				
					if (fleart=="") { fleart="0"} 
				
					PRE001= parseFloat(PRE001) + parseFloat(fleart) ;	
					PRE002= parseFloat(PRE002) + parseFloat(fleart) ;	
		
				flete_producto = fleart * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var tipmoneda=document.getElementById("tipmoneda").value;
				
				if ( tipmoneda == "CRC") {     // SE AGREGA EN LA VERSION 4.4
							
				
				var original=parseFloat(PRE001);
				var result=Math.round(original);
				var original2=parseFloat(PRE002);
				var result2=Math.round(original2);
				
			
				
				} else 	{
			
				var original=parseFloat(PRE001);
				var result=original;	
				var original2=parseFloat(PRE002);
				var result2=original2;
				   
				 } // SE AGREGA EN LA VERSION 4.4
			
			
				var result3 =parseFloat(costot);
			
				document.getElementById("PRE001").value=result;
				document.getElementById("PRE002").value=result2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value="0";
				document.getElementById("impuesto_factura").value="0";
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
			}
			}
			
	//////////////////////////////////////////////////   actualiza utilidad //////////////////////////////////////////////
	
		function actualizar_utilidad()
			{
			

				document.getElementById("importe").value="";
				document.getElementById("flete_producto").value="";
				document.getElementById("impuesto_producto").value="";
				document.getElementById("impuesto_factura").value="";
				document.getElementById("descuento_producto").value="";
				document.getElementById("descuento_factura").value="";
	
				var cosart=document.getElementById("cosart").value;
				var PRE001=document.getElementById("PRE001").value;
				var PRE002=document.getElementById("PRE002").value;
				var canart=document.getElementById("canart").value;
				var desfac=document.getElementById("desfac").value;
				var despro=document.getElementById("despro").value;   //// aplica el decuento total de la factura 
				var cob_iv=document.getElementById("cob_iv").value;
				var fleart=document.getElementById("fleart").value;
				var ivporc=document.getElementById("ivporc").value;
		        var tarred=document.getElementById("tarred").value;
				
					if (document.getElementById("cob_iv").value==1){
				
				tazaimpuesto = (ivporc/100)+1;    // porcentaje del impuesto  1.13
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;

				
				costot = canart * cosart;
		
			
					
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
		     	if (tarred > 0  )  {     // si el producto tiene tarifa reducida
				
				tazaimpuesto_factura  = (tarred/100)+1;    // tarifa reducida
				tazaimpuesto_producto = (ivporc/100)+1;    // tarifa normal
				
				} else  {
				
				tazaimpuesto_factura  = (ivporc/100)+1;    // tarifa reducida
				tazaimpuesto_producto = (ivporc/100)+1;    // tarifa normal
				
				}
				
				
				impuesto_factura  =  (costo_con_descuento_factura * tazaimpuesto_factura) -  costo_con_descuento_factura ; // monto del impuesto
				impuesto_producto =  (costo_con_descuento_producto * tazaimpuesto_producto) - costo_con_descuento_producto ;  
				
			
				precio_costo_descuento_impuesto = cosart - descuento_producto + impuesto_producto ;  //  precio listo para calcular utilidad
				
				utilidad1 = PRE001 - precio_costo_descuento_impuesto  - fleart;
				utilidad2 = PRE002 - precio_costo_descuento_impuesto  - fleart;
				
				utiart1 = ( utilidad1/precio_costo_descuento_impuesto) * 100 ;
				utiart2 = ( utilidad2/precio_costo_descuento_impuesto) * 100 ;
								
				if (fleart=="") { fleart="0"} 
				
					

				flete_producto = fleart * canart ;
				impuesto_producto = impuesto_producto * canart ;
				impuesto_factura = impuesto_factura * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var utiart1=parseFloat(utiart1);
				var utiart2=parseFloat(utiart2);
				var result3 =parseFloat(costot);
			
				document.getElementById("utiart1").value=utiart1;
				document.getElementById("utiart2").value=utiart2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value=impuesto_producto;
				document.getElementById("impuesto_factura").value=impuesto_factura;
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
				
				} else {
					
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;
		
				
				costot = canart * cosart;
		
				
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
			
				precio_costo_descuento_impuesto = cosart - descuento_producto  ;  //  precio listo para calcular utilidad
				
				utilidad1 = PRE001 - precio_costo_descuento_impuesto  - fleart;
				utilidad2 = PRE002 - precio_costo_descuento_impuesto  - fleart;
				
				utiart1 = ( utilidad1/precio_costo_descuento_impuesto) * 100 ;
				utiart2 = ( utilidad2/precio_costo_descuento_impuesto) * 100 ;
				
					if (fleart=="") { fleart="0"} 
				

		
				flete_producto = fleart * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var utiart1=parseFloat(utiart1);
				var utiart2=parseFloat(utiart2);
				var result3 =parseFloat(costot)
			
				document.getElementById("utiart1").value=utiart1;
				document.getElementById("utiart2").value=utiart2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value="0";
				document.getElementById("impuesto_factura").value="0";
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
			}
			}
					
			
			
			function validar_cabecera()
			{
			
		  	if (confirm(" Factura Completa ? "))
			
				var mensaje="";
				if (document.getElementById("cdgpro").value=="") mensaje+="  - Codigo proveedor\n"; enfoque="cdgpro";
				if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del proveedor\n"; enfoque="dscpro";
				if (document.getElementById("fecfac").value=="") mensaje+="  - Fecha de factura\n"; enfoque="fecfac";
				if (document.getElementById("fecpro").value=="") mensaje+="  - Fecha de proceso\n"; enfoque="fecpro";
				if (document.getElementById("totfac").value=="") mensaje+="  - Total de la factura\n"; enfoque="totfac";
				if (document.getElementById("numfac").value=="") mensaje+="  - Numero de la factura\n"; enfoque="numfac";
			    if (document.getElementById("preciotot").value=="") mensaje+="  - Total de Factura\n"; enfoque="preciotot";
		
					
		
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
						document.getElementById(enfoque).select();
				} else {
				
					
				
				preciotot=parseFloat(document.getElementById("preciotot").value);
				totfac=parseFloat(document.getElementById("totfac").value);
				baseimp=parseFloat(document.getElementById("baseimp").value);
					
					var impfac=document.getElementById("impfac").value;
					var subexe=document.getElementById("subexe").value;
					var subgra=document.getElementById("subgra").value;
					var desfactot=document.getElementById("desfactot").value;
		
	
 if (subexe==""){ subexe=0; document.getElementById("subexe").value=0.00;} else { subexe2= subexe.replace(",","");   subexe= subexe2.replace(",","");} ;
  if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra2= subgra.replace(",","");   subgra= subgra2.replace(",","");} ;
  if (impfac==""){ impfac=0; document.getElementById("impfac").value=0.00;} else { impfac2= impfac.replace(",","");   impfac= impfac2.replace(",","");} ;
  if (desfactot==""){desfactot=0; document.getElementById("desfactot").value=0.00;}  else { desfactot= desfactot.replace(",",""); } ;
  
				
			
					basedes=parseFloat(document.getElementById("basedes").value);
					
					baseiva=parseFloat(document.getElementById("baseiva").value);
				
				
				diferencia_subtotal = baseimp-subgra-subexe ;
				diferencia_impuesto = baseiva-impfac;
				diferencia_descuento = basedes-desfactot;
				diferencia = diferencia_subtotal  + diferencia_impuesto + diferencia_descuento ;
				
				if (diferencia > 1 ) {
				
			if (confirm(" Atención la factura presenta una diferencia con el saldo de lineas, Desea continuar ? "));
	        dscpro.disabled=false;
		    numfac.disabled=false;
			cdgpro.disabled=false;
			document.getElementById("formulario").submit();
			 
				}else if (diferencia<-1 ){
				
			if (confirm(" Atención la factura presenta una diferencia con el saldo de lineas, Desea continuar ? "));
	        dscpro.disabled=false;
		    numfac.disabled=false;
			cdgpro.disabled=false;
			document.getElementById("formulario").submit();
			
				} else {
					 dscpro.disabled=false;
				     numfac.disabled=false;
					 cdgpro.disabled=false;
					document.getElementById("formulario").submit();
						
				}
			}}	
			
			
		function validar() 
			{
			
			
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";  enfoque="cdgbar";
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";  enfoque="dscart";
				if (document.getElementById("utiart1").value=="") mensaje+="  - Utilidad precio NORMAL\n"; enfoque="utiart1";
				//if (document.getElementById("utiart2").value=="") mensaje+="  - Utilidad precio MAYOREO \n"; enfoque="utiart2";
				if (document.getElementById("utiart1").value=="0") mensaje+="  - Utilidad precio NORMAL no pueder ser 0\n";  enfoque="utiart1";
			//	if (document.getElementById("utiart2").value=="0") mensaje+="  - Utilidad precio MAYOREO no pueder ser 0\n"; enfoque="utiart2";
				if (document.getElementById("cosart").value=="") { 
					
							mensaje+="  - Falta el costo\n"; 
						    enfoque="cosart";
						} else {
							if (isNaN(document.getElementById("cosart").value)==true) {
								mensaje+="  - El Costo debe ser numerico\n";
						        enfoque="cosart";
							}
						}
				if (document.getElementById("canart").value=="") 
						{ 
					     enfoque="canart";
						mensaje+="  - Falta la cantidad\n";
						
						} else {
							entero=document.getElementById("canart").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								  enfoque="canart";
							} else {
									document.getElementById("canart").value=entero;
								}
						}
				if (document.getElementById("utiart1").value=="") 
						{ 
						mensaje+="  - Falta la utilidad\n";
						  enfoque="utiart1";
						} else {
							entero=document.getElementById("utiart1").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La utilidad debe ser numerica\n";
								  enfoque="utiart1";
							} else {
									document.getElementById("utiart1").value=entero;
								}
						}
				//if (document.getElementById("utiart2").value=="") 
					//	{ 
					//	mensaje+="  - Falta la utilidad\n";
					//	  enfoque="utiart2";
						//	document.getElementById("utiart1").select();
						
						//} else {
						//	entero=document.getElementById("utiart2").value;
						//	if (isNaN(entero)==true) {
							//	mensaje+="  - La utilidad debe ser numerica\n";
							//	  enfoque="utiart2";
							//} else {
							//		document.getElementById("utiart2").value=entero;            		document.getElementById("utiart2").select();
							//	}
					//	}				
				if (document.getElementById("desfac").value=="") 
						{ 
						document.getElementById("desfac").value=0 
						} else {
							entero=document.getElementById("desfac").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento de la factura debe ser numerico\n";
								  enfoque="desfac";
							} else {
								document.getElementById("desfac").value=entero;
							}
						} 
						
				if (document.getElementById("despro").value=="") 
						{ 
						document.getElementById("despro").value=0 
						} else {
							entero=document.getElementById("despro").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento del producto debe ser numerico\n";
								  enfoque="despro";
							} else {
								document.getElementById("despro").value=entero;
							}
						} 		
						
						
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Total\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
						document.getElementById(enfoque).select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
					actualizar_importe();	
					
					document.getElementById("formulario_lineas").submit();
	
					document.getElementById("cdgbar").value="";
					document.getElementById("canart").value="";
					document.getElementById("dscart").value="";
					document.getElementById("cosart").value="";
					document.getElementById("utiart1").value="";
					document.getElementById("utiart2").value="";
					document.getElementById("importe").value="";
					document.getElementById("desfac").value="";
					document.getElementById("despro").value="";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto_factura").value="";
					document.getElementById("flete_producto").value="";		
					document.getElementById("impuesto_producto").value="";	
					document.getElementById("descuento_factura").value="";	
					document.getElementById("descuento_producto").value="";	
					document.getElementById("PRE001").value="";	
					document.getElementById("PRE002").value="";	
					document.getElementById("cdgbar").focus();
					document.getElementById("cdgbar").select();
					document.getElementById("cdglin").value="";	
					document.getElementById("cdgfam").value="";	
					document.getElementById("fleart").value="";
					document.getElementById("iv_porc").value="";
					document.getElementById("posicion").value="";	

					
				
				
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	



//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar();		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	///////////////////////////////////////////////// Funcion siguiente campo formulario lineas  /////////////////////////////////////




   	function inicio() {
		
				document.getElementById("formulario_lineas").submit();
				
		
		}


 		 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fecfac").value.split(/-/);
		parts.reverse();
		fecfac=parts.join('-');
		
	  var parts = document.getElementById("fecpro").value.split(/-/);
		parts.reverse();
		fecpro=parts.join('-');
		

	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fecfac);
	 date2 = new Date(fecpro); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fecfac !=""){
		
		
		 var fechaArr = fecfac.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha de la factura no puede ser mayor a la Actual ");
	document.getElementById("fecfac").value="";
	document.getElementById("fecfac").select();
	}

 }else{
  alert("Error fecha de factura incorrecta favor verifique");
  document.getElementById("fecfac").value="";
  document.getElementById("fecfac").select();
 }
 
	}
	
	
	
	if (fecpro !=""){	
	
	 
  var fechaArr = fecpro.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha de proceso no puede ser mayor a la Actual ");
	document.getElementById("fecpro").value="";
	document.getElementById("fecpro").select();;
	}
 
 
 }else{
  alert("Error fecha proceso incorrecta favor verifique");
  document.getElementById("fecpro").value="";
  document.getElementById("fecpro").select();
 }
	

	}
	

	}
	
	
	
jQuery(function($){	
		$("#fecfac").mask("99-99-9999");
		$("#fecpro").mask("99-99-9999");
		});


				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
////////////////////////////////////////////////////////
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body   onKeyDown="javascript:f5()" onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanasCompras">
				<div align="center">
					<div class="contenidoFactura2">
				<form id="formulario" name="formulario" method="post" action="guardar_compra.php">
				  <table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
                    <tr>
                      <td width="6%">&nbsp;</td>
                      <td><div align="right"></div></td>
                      <td colspan="6">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="3"><div align="center" class="Estilo1"></div></td>
                      <td colspan="4"><div align="center"><span class="Estilo1">MODULO COMPRAS </span></div></td>
                    </tr>
                    <tr>
                      <td>Proveedor</td>
                      <td><input name="cdgpro" type="text" disabled=true  class="cajaGrande" id="cdgpro" value="<?php echo $cdgpro  ?>" maxlength="5" click="limpiarcaja()" style='text-align:center;' onChange="validarproveedor()" autocomplete= "off"   onFocus="siguienteCampo ='combotipocxp';"></td>
                      <td colspan="6"><input name="dscpro" type="text" class="cajaGrande" id="dscpro" value="<?php echo $dscpro ?>"  maxlength="45" disabled=true  autocomplete= "off"   onFocus="siguienteCampo ='vehpla';"></td>
                      <input NAME="cdgprofac" class="cajaMedia" id="cdgprofac"   type="hidden" >
                     <input NAME="estado" class="cajaMedia" id="estado" value="<?php echo $estado ?>" type="hidden" >
                      <input NAME="codlineatmp" class="cajaMedia" id="codlineatmp" value="<?php echo $codlineatmp?>" type="hidden"    >
                      <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
					     <input id="codfactura" name="codfactura" value="<?php echo $codfactura?>" type="hidden">
                      <td><div align="center">Credito</div></td>
                           <?php

                        	$query_tipoventa="SELECT * FROM tipoventa ";
                            $result = $mysqli->query($query_tipoventa);
           
					  ?>
					  
			          <td width="9%"><select id="combotipoventa" name="combotipoventa" class="comboGrande" >
                        <?php
								while ($fila = $result->fetch_assoc()) { 
									if ($cdgtipven ==  $fila["cdgtipven"]) { ?>
                        <option value="<?php echo  $fila["cdgtipven"]?>" selected="selected"><?php echo  $fila["dsctipven"]?></option>
                        <?php } else { ?>
                        <option value="<?php echo  $fila["cdgtipven"]?>"><?php echo  $fila["dsctipven"]?></option>
                        <?php } ;
								} ?>
                      </select></td>
					        <td width="3%"><div align="center">Tipo</div></td>
			         
                        <?php
						
						  	$query_tipocxp="SELECT * FROM tipo_cxp ORDER BY cdgcxp ASC";
                            $result = $mysqli->query($query_tipocxp);
					  ?>
                      <td width="8%"><select id="combotipocxp" name="combotipocxp" class="comboGrande" >
                        <?php
			
	
								while ($fila = $result->fetch_assoc()) { 
									if ($cdgtipcxp ==  $fila["cdgcxp"]) { ?>
                        <option value="<?php echo  $fila["cdgcxp"]?>" selected="selected"><?php echo  $fila["dsccxp"]?></option>
                        <?php } else { ?>
                        <option value="<?php echo  $fila["cdgcxp"]?>"><?php echo  $fila["dsccxp"]?></option>
                        <?php } ;
								} ?>
                      </select></td>
						  
                      <td width="5%"><div align="center">Fecha</div></td>
                      <td width="8%"><input NAME="fecfac" type="text" class="cajaGrande" id="fecfac" value="<?php echo $fecfac ?>"  maxlength="10" style='text-align:center;'  onFocus="siguienteCampo ='fecpro', nombreForm ='formulario';"   onChange="comprobar_fechas()"></td>
                      <td width="7%"><div align="center">Proceso</div></td>
                      <td width="9%"><input NAME="fecpro" type="text" class="cajaGrande" id="fecpro" value="<?php echo $fecpro ?>"   maxlength="10" style='text-align:center;' onFocus="siguienteCampo ='subgra', nombreForm ='formulario';"   onChange="comprobar_fechas()"></td>
                    </tr>
                    <tr>
                      <td width="6%"> Factura </td>
                      <td width	="8%"><input NAME="numfac" disabled=true type="text" class="cajaGrande" id="numfac" value="<?php echo $numfac ?>"  style='text-align:center;' onFocus="siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td width="3%">SubGra</td>
                      <td width="7%"><input name="subgra" type="text"  autocomplete="off"class="cajaGrande"  onKeyPress="mascara(this,moneda) " id="subgra" value="<?php echo number_format($subgra,2,".",",") ?>"  style='text-align:right;' onBlur=" calcular_factura()" onFocus=" calcular_factura(), siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td width="3%">SubExe</td>
                      <td width="7%"><input name="subexe" type="text"  autocomplete="off"class="cajaGrande"  onKeyPress="mascara(this,moneda) " id="subexe" value="<?php echo number_format($subexe,2,".",",") ?>"  style='text-align:right;' onBlur=" calcular_factura()" onFocus=" calcular_factura(), siguienteCampo ='desfactot', nombreForm ='formulario';"></td>
                      <td width="3%"> <div align="center">Desc. </div></td>
                      <td width="6	%"><input name="desfactot" type="text" autocomplete="off" class="cajaGrande"  onKeyPress="mascara(this,moneda) " id="desfactot" value="<?php echo number_format($desfactot,2,".",",") ?>"style='text-align:right;'  onBlur=" calcular_factura()"    onFocus=" calcular_factura(), siguienteCampo ='impfac', nombreForm ='formulario';"></td>
                      <td width="7%"><div align="center">Impuesto</div></td>
                      <td width="9%"><input name="impfac" type="text"   autocomplete="off" class="cajaGrande"  onKeyPress="mascara(this,moneda) " id="impfac" value="<?php echo number_format($impfac,2,".",",") ?>"  style='text-align:right;'  onBlur=" calcular_factura()"  onFocus=" calcular_factura(), siguienteCampo ='flefac', nombreForm ='formulario';"></td>
                      <td width="3%"><div align="center">Flete</div></td>
                      <td width="8%"><input name="flefac" type="text" autocomplete="off" class="cajaGrande"  onKeyPress="mascara(this,moneda) "  id="flefac" value="<?php echo number_format($flefac,2,".",",") ?>"  style='text-align:right;'  onBlur=" calcular_factura()"    onFocus=" calcular_factura(), siguienteCampo ='otrfac', nombreForm ='formulario';"></td>
                      <td width="5%"><div align="center">Otros</div></td>
                      <td width="8%"><input name="otrfac" type="text"  autocomplete="off" class="cajaGrande"   onKeyPress="mascara(this,moneda) "id="otrfac"  value="<?php echo number_format($otrfac,2,".",",") ?>" style='text-align:right;'   onBlur=" calcular_factura()"   onFocus=" calcular_factura(), siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td width="7%"><div align="center">Total</div></td>
                      <td width="9%"><input name="totfac" type="text" class="cajaGrande"   onKeyPress="mascara(this,moneda) "id="totfac" value="<?php echo $totfac ?>"  onBlur=" calcular_factura()"   readonly=""  style='text-align:right;'onFocus="siguienteCampo ='cdgbar', nombreForm ='formulario';"></td>
                  </table>

			  <input id="baseimpuestos2" name="baseimpuestos" value="<?php echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible2" name="baseimponible" value="<?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal2" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
			  
			  <input id="accion" name="accion" value="modificar" type="hidden">
				<input name="fecha2" type="hidden" class="cajaMedia" id="fecha2" size="10" maxlength="10" style='text-align:center;' value="<?php echo $nomb?>" readonly>
			
				</form>
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_modificar.php" target="frame_lineas">
				  <table class="" width="100%"  border="0" ID="Table10" >
                    <input id="cliexe2" name="cliexe2" value="<?php echo $cliexe?>"  type="hidden" >
					<input id="tipmoneda" name="tipmoneda"  type="hidden" class="cajaGrande" style='text-align:right;'  value="<?php echo  $tipmoneda ;?>"  >	 <!-- se agrega en la version 4.4 -->
                    <input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >
                    <input id="preciotot" name="preciotot" value="<?php echo $preciotot?>"  type="hidden" >
                      <input id="baseiva" name="baseiva" value="<?php echo $baseiva?>"  type="hidden" >
                    <input id="basedes" name="basedes" value="<?php echo $basedes?>"  type="hidden" >
                    <input id="baseimp" name="baseimp" value="<?php echo $baseimp?>"  type="hidden" >
						  <input id="codlineatmp" name="codlineatmp" type="hidden" value="<?php echo $codlineatmp ?>" >
				  		  <input id="codproforma" name="codproforma" type="hidden" value="<?php echo $codproforma ?>" >
                    <input id="codfactura2" name="codfactura2" type="hidden" value="<?php echo $codfactura ?>" >
                          <input id="numlinea" name="numlinea" type="hidden" value="" >
                            <input id="posicion" name="posicion" type="hidden" value="" >
                    <tr>
                      <td   width="3%" >Cod</td>
                      <td   width="8%"><input name="cdgbar" autofocus  type="text"  id="cdgbar"  class="cajaGrande" onBlur="validararticulo()"     autocomplete= "off"    onFocus="siguienteCampo ='desfac', nombreForm ='formulario_lineas';"  ></td>
                      <td   width="3%" ><img src="../img/search-b-icon (5).png" alt="2" width="32" height="32" title="Buscar articulos" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor"></td>

                      <input id="impuesto" name="impuesto" value="<?php echo $impuesto?>"  type="hidden">
                      <td   width="20%"><input name="dscart"   type="text"id="dscart" class="cajaGrande" autocomplete= "off"  disabled=true onChange="actualizar_importe()"  ></td>
                      <td width="1%">Tar.Red </td>
                      <td width="5%"><input name="tarred" type="text"  style='text-align:center;' id="tarred"  class="cajaGrande" value="0.00" onChange="actualizar_importe()" autocomplete= "off"    onBlur="actualizar_importe()" onFocus=" actualizar_importe(), siguienteCampo ='PRE001', nombreForm ='formulario_lineas';"  ></td>
                      <input name="mondes" type="hidden" id="mondes">
					                      <td width="2%"><div align="center">Cant.</div></td>
                      <td width="3%"><input name="canart" type="text"  style='text-align:center;' id="canart"  class="cajaGrande" value="1.00" onChange="actualizar_importe()" autocomplete= "off"  onFocus=" actualizar_importe(), siguienteCampo ='cosart', nombreForm ='formulario_lineas';"  ></td>
            <td   width="2%"><div align="right">Cto.</div></td>
                      <td   width="5%"><input name="cosart" type="text"  style='text-align:right;' id="cosart"  class="cajaGrande" onChange="actualizar_importe()" autocomplete= "off"   onFocus=" actualizar_importe(), siguienteCampo ='desfac', nombreForm ='formulario_lineas';"    ></td>
                      <td width="2%">D.Fac</td>
                      <td width="4%"><input name="desfac" type="text"  style='text-align:center;' id="desfac"  class="cajaGrande" autocomplete= "off"    value="0.00" onChange="actualizar_importe()"  onFocus=" actualizar_importe(), siguienteCampo ='despro', nombreForm ='formulario_lineas';"   ></td>
                       <td width="2%">D.Pro</td>
                      <td width="4%"><input name="despro" type="text"  style='text-align:center;' id="despro"  class="cajaGrande" autocomplete= "off"     value="0.00" onChange="actualizar_importe()"  onFocus=" actualizar_importe(), siguienteCampo ='fleart', nombreForm ='formulario_lineas';"  ></td>
                      <td width="1%">Flete</td>
                      <td width="4%"><input name="fleart" type="text"  style='text-align:center;' id="fleart"  class="cajaGrande"  onChange="actualizar_importe()" autocomplete= "off"   onFocus=" actualizar_importe(), siguienteCampo ='utiart1', nombreForm ='formulario_lineas';"  ></td>
                      <td width="2%">Uti</td>
                      <td width="3%"><input name="utiart1" type="text"  style='text-align:center;' id="utiart1"  class="cajaGrande" value="1.00" onChange="actualizar_importe()" autocomplete= "off"   onFocus=" actualizar_importe(), siguienteCampo ='PRE001', nombreForm ='formulario_lineas';"  ></td>
                   <td width="3%">PRECIO</td>
                  <td width="5%"><input name="PRE001"  style='text-align:right;' size="4" value=""  class="mensajeminimo" type="text" id="PRE001"   onFocus="actualizar_utilidad() , siguienteCampo ='importe', nombreForm ='formulario_lineas';"  onChange="actualizar_utilidad()" ></td>         
					  
					    <?php  if ($cantippre > 1 )  {  ?>
						  
					    <td width="2%">Uti.2</td>
 <td width="3%"><input name="utiart2" type="text"  style='text-align:center;' id="utiart2"  class="cajaGrande" value="1.00" onChange="actualizar_importe()" autocomplete= "off"   onBlur="actualizar_importe()" onFocus=" actualizar_importe(), siguienteCampo ='PRE002', nombreForm ='formulario_lineas';"  ></td>
                      <td width="3%">PRE. 2</td>
           

                      <td width="5%"><input name="PRE002"   style='text-align:right;' size="3" value=""  class="mensajeminimo" type="text" id="PRE002"     onChange="actualizar_utilidad()"   onFocus=" actualizar_utilidad(), siguienteCampo ='importe', nombreForm ='formulario_lineas';" ></td>
					  
					  		  <?php	  } else  {  ?>
							  
						<input name="utiart2" type="hidden"  style='text-align:center;' id="utiart2"  class="cajaGrande" value="1.00" onChange="actualizar_importe()" autocomplete= "off"   onBlur="actualizar_importe()" onFocus=" actualizar_importe(), siguienteCampo ='PRE002', nombreForm ='formulario_lineas';"  >
						<input name="PRE002"   style='text-align:right;' size="3" value=""  class="mensajeminimo" type="hidden" id="PRE002"     onChange="actualizar_utilidad()"   onFocus=" actualizar_utilidad(), siguienteCampo ='importe', nombreForm ='formulario_lineas';" >					  
  
							 <?php	  }  ?>
					  
					  
					  
					              <td width="0%"><input  type="checkbox" id="chkbon" name="chkbon"  value="1" ></td>
                      <td width="12%"><input name="importe" type="text"  style='text-align:center;' id="importe"  class="cajaGrande"  onChange="actualizar_importe()" autocomplete= "off" readonly   onFocus=" actualizar_importe(), siguienteCampo ='fin', nombreForm ='formulario_lineas';"  ></td>
                      <td width="3%"><img src="../img/Arrow-Down_32x32-32.png"  name="fin" width="32" height="32" border="0" id="fin" title="Agregar articulo" onClick="validar()" onMouseOver="style.cursor=cursor"></td>
                    </tr>
                  </table>
		
				
					 <input name="descuento_factura" value="" type="hidden" id="descuento_factura">
					 <input name="descuento_producto" value="" type="hidden" id="descuento_producto">
					 <input name="impuesto_factura" value="" type="hidden" id="impuesto_factura">
					 <input name="impuesto_producto" value="" type="hidden" id="impuesto_producto">
					  <input name="flete_producto" value="" type="hidden" id="flete_producto">
				  	<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
					<input name="cob_iv"  id="cob_iv" value="" type="hidden">
					<input name="ivporc"  id="ivporc" value="" type="hidden">
					 <input name="cdglin" value="" type="hidden" id="cdglin">
					<input name="cdgfam" value="" type="hidden" id="cdgfam">
				</div>
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                  <tr class="cabeceraTabla">
                    <?php  if ($cantippre > 1 )  {  ?>
							<td width="4%"><span >COD.</span></td>
							<td width="4%"><span>CANT.</span></td>
							<td width="25%"><span >DETALLE</span></td>
							<td width="4%"><span>IMP.PRO</span></td>
							<td width="4%">IMP.RED</td>
							<td width="5%"><span>COSTO</span></td>
							<td width="5%">FLETE</td>
							<td width="5%"><span >UTI</span></td>
							<td width="6%">D.PRO</td>
							<td width="6%">ANTERIOR</td>
                            <td width="7%">ACTUAL</td>
							<td align="left" width="4%">D.FAC</td>
							<td align="left" width="4%">UTI.2</td>
							<td  align="left" width="4%"><span>PREC.2</span></td>				
							<td width="4%"><span>MONTO</span></td>
							<td width="12%">&nbsp;</td>
		
					<?php	 } else {  	?>
							
							<td width="5%"><span >COD.</span></td>
							<td width="5%"><span>CANT.</span></td>
							<td width="20%"><span >DETALLE</span></td>
							<td align="right" width="8%"><span>IMP.PRO</span></td>
							<td width="7%">IMP.RED</td>
							<td width="5%">COSTO</td>
							<td width="6%">FLETE</td>
							<td width="3%"><span >UTI</span></td>
							<td width="6%">D.PRO</td>
							<td width="8%">ANTERIOR</td>
                            <td align="right" width="6%">ACTUAL</td>
							<td width="6%"><span>D.FAC</span></td>
							<td width="6%"><span>MONTO</span></td>
							<td width="10%">&nbsp;</td>
							
							 <?php } ?>
                  </tr>
                </table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="430" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="320" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center">
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
				  </tr>
				  <tr>
					<td class="busqueda">IVA</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  >
					
                  					    <img src="../img/Symbol-Refresh_48x48-32.png" width="48" height="48" onClick="Actualizar()" border="0"  class="aCentro" onMouseOver="style.cursor=cursor" title="Actualizar">  
                    <img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor">
                   
				    <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				    <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?>" type="hidden">	
					<input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
								    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
                    	<iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos2"></ilayer>
					</iframe>
			  </form>
		  </div>
    </div>
		</div>
	</body>
</html>





